<?php
    include_once("connect.php");
	include_once("funciones.php");

	$base_url = 'http://'.$_SERVER['HTTP_HOST'];
	chdir('../../');
	include_once "includes/bootstrap.inc";
	drupal_bootstrap(DRUPAL_BOOTSTRAP_FULL);
	
	global $user;
    $userid = $user->uid;

    $op = $_GET["op"];
    
    $agencia = isset($_GET["agencia"]) ? "'".$_GET["agencia"]."'" : 0;
    $entidad = isset($_GET["entidad"]) ? "'".$_GET["entidad"]."'" : 0;
    $oculta = isset($_GET["oculta"]) ? "'".$_GET["oculta"]."'" : '';
    
    $filtroinversiones = " AND IdDepartamento = $agencia AND IdEntidad = $entidad ";
	$referer = $_SERVER['HTTP_REFERER'];
	$pos = strpos($referer, '/eu/');
	if ($pos !== false) {
    	$defaultText = '- Hautatu aukera bat, mesedez -';
	} else {
	    $defaultText = '- Por favor seleccione -';
	}
    switch($op)
    {
    	case "agencia":
    		$query = "SELECT IdDepartamento AS ident, Nombre AS nombre FROM departamentos WHERE IdDepartamento IN (Select IdDepartamento FROM permisos WHERE IdUsuario = $userid)";
    		break;

    	case "entidad":
    		$query = "SELECT E.IdEntidad AS ident, E.Nombre AS nombre FROM entidades E INNER JOIN permisos P ON E.IdDepartamento = P.IdDepartamento AND E.IdEntidad = P.IdEntidad AND P.IdUsuario = $userid AND E.IdDepartamento = $agencia";
    		break;
    		
    	case "estado":
    		$query = "SELECT IdEstado as ident, Nombre as nombre FROM estados";
    		break;

    	case "funcion":
    		$query = "select IdFuncion as ident, Descripcion as nombre from funciones";
    		break;

    	case "inversion":
    		$query = "select distinct IdPrograma ident, CONCAT(Codigo,' - ',Nombre) AS nombre FROM programas WHERE 1=1 $filtroinversiones ORDER BY Codigo, Nombre";
    		$defaultText = '';
    		break;

    	case "tipo":
    		$query = "select IdTipo as ident, Descripcion as nombre from tipos";
    		break;
    }
	
    xmlDoc();
    print '<complete>'."\n";
    if(!$oculta)
		print '<option value="" selected="selected">'.$defaultText.'</option>'."\n";
	//print $query;
    $res = mysql_query($query);
    while ($row=mysql_fetch_array($res)){
	print '<option value="'.$row['ident'].'">'.utf8_decode($row['nombre']).'</option>'."\n";
    }
    print '</complete>';
	mysql_close();

?>